AvatarRafał Tuzinowski zapytał 5 miesięcy temu

cześć,
bedę wdzięczny za podpowiedź, którego InternetExplorerDriver’a wybrać ze stronki https://selenium-release.storage.googleapis.com/index.html w przypadku, gdy chciałbym z odpalać testy w przeglądarce w wersji 8 (IE8).  Pracuję na Win10 i skrypt otwiera mi wersję 11 przeglądarki i nie wiem jak to obejść.
 

1 odpowiedzi
Best Answer
Przemek BarańskiPrzemek Barański Personel odpowiedział 5 miesięcy temu

Hej,
Z tego co piszesz wynika, że na swoim systemie Win10 masz IE11 i prawdopodobnie tylko IE11. Niestety nie jest wspierane przez MS posiadanie różnych wersji IE w danej chwili Running multiple versions of Internet Explorer on a single instance of Windows is unsupported. Dodatkowo IE8 występuje jedynie na następujących systemach:

  • Windows XP SP2 lub kolejnych SP
  • Windows Server 2003 SP2
  • Windows Vista
  • Windows Server 2008
  • Windows 7

Rozwiązaniem jest ściągnięcie wirtualnej maszyny z obrazem z odpowiednim IE tutaj https://developer.microsoft.com/en-us/microsoft-edge/tools/vms/
Dzięki temu można uruchomić testy na tej maszynie lub zainstalować Selenium Grid i wystawić drivera do tej przeglądarki tak aby była dostępna z lokalnej maszyny.

Powodzenia i daj znać jak poszło
Pozdr

Przemek BarańskiPrzemek Barański Personel odpowiedział 5 miesięcy temu

Super, że się udało – zachęcam do kliknięcia w strzałki w górę (^) zaraz pod moim awatarem w odpowiedzi – dzięki temu inni użytkownicy będą widzieć, że to rozwiązanie się sprawdza.

AvatarRafał Tuzinowski odpowiedział 5 miesięcy temu

Wielkie dzięki za odpowiedź. Właśnie mam postawioną wirtualną maszynę pod IE8 na hyper-V i tak testuję manualnie.